
<?php
session_start();

require_once("conn.php");
if(!isset($_SESSION['region']))
    {
 $URL=("./index.php");
echo "<script type='text/javascript'>alert('Please Kindly Login as a Regional Coordinator... ');location.href='$URL';</script>";
}

$region = $_SESSION['region']; // Get region from session
$old_password_value = "";
$message = ""; // Store alert message
$alert_type = ""; // Store alert type (success/danger)

// Fetch current password from database
$sql = "SELECT password FROM region WHERE region = :region";
$stmt = $conn->prepare($sql);
$stmt->bindParam(':region', $region);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if ($row) {
    $old_password_value = $row['password']; // Fetch old password
}

// Handle password change request
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $new_password = $_POST['new_password'];
    $confirm_password = $_POST['confirm_password'];

    // Validate inputs
    if (empty($new_password) || empty($confirm_password)) {
        $message = "All fields are required!";
        $alert_type = "danger";
    } elseif ($new_password !== $confirm_password) {
        $message = "New passwords do not match!";
        $alert_type = "danger";
    } else {
        // Update password in database WITHOUT hashing
        $update_sql = "UPDATE region SET password = :new_password WHERE region = :region";
        $update_stmt = $conn->prepare($update_sql);
        $update_stmt->bindParam(':new_password', $new_password);
        $update_stmt->bindParam(':region', $region);

        if ($update_stmt->execute()) {
            $_SESSION['message'] = "Password changed successfully!";
            $_SESSION['alert_type'] = "success";
            header("Location: change_password.php"); // Refresh page
            exit();
        } else {
            $message = "Error updating password!";
            $alert_type = "danger";
        }
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Regional Coordinator Dashboard - Provinces Details</title>
    
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="theme.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"> -->
    <link rel="icon" type="image/png" href="img/icon2.png">

<!-- jQuery (Required for DataTables) -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- DataTables CSS -->
<style>
    /* Center the card on the page */
    .center-container {
        display: flex;
        justify-content: center;
        align-items: center;
        padding-top: 140px; /* Adjust for navbar space if needed */
        
    }

</style>

</head>
<body >

<?php include 'sidebar.php'?>

<?php include 'navbar.php'?>


<!-- Main Content -->
<div class="main-content" id="main-content">
 <!-- DataTables CSS -->
 
 <div class="center-container">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6 col-lg-4">
                <div class="card shadow-lg p-4">
                    <h4 class="text-center">Change Password</h4>

                    <!-- Bootstrap Alert -->
                    <?php if (!empty($message)): ?>
                        <div class="alert alert-<?= $alert_type ?> alert-dismissible fade show" role="alert">
                            <?= $message ?>
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    <?php endif; ?>

                    <?php if (isset($_SESSION['message'])): ?>
                        <div class="alert alert-<?= $_SESSION['alert_type'] ?> alert-dismissible fade show" role="alert">
                            <?= $_SESSION['message'] ?>
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                        <?php unset($_SESSION['message'], $_SESSION['alert_type']); ?>
                    <?php endif; ?>

                    <form method="POST">
                        <div class="mb-3 position-relative">
                            <label class="form-label">Old Password</label>
                            <input type="text" name="old_password" class="form-control" value="<?= htmlspecialchars($old_password_value); ?>" readonly>
                        </div>

                        <div class="mb-3 position-relative">
                            <label class="form-label">New Password</label>
                            <div class="input-group">
                                <input type="password" name="new_password" id="newPassword" class="form-control" required>
                                <button class="btn btn-outline-secondary toggle-password" type="button" onclick="togglePassword('newPassword', this)">
                                    <i class="fas fa-eye"></i>
                                </button>
                            </div>
                        </div>

                        <div class="mb-3 position-relative">
                            <label class="form-label">Confirm New Password</label>
                            <div class="input-group">
                                <input type="password" name="confirm_password" id="confirmPassword" class="form-control" required>
                                <button class="btn btn-outline-secondary toggle-password" type="button" onclick="togglePassword('confirmPassword', this)">
                                    <i class="fas fa-eye"></i>
                                </button>
                            </div>
                        </div>

                        <button type="submit" class="btn btn-success w-100"><i class="fas fa-lock"></i> Change Password</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- JavaScript for Show/Hide Password -->
<script>
function togglePassword(fieldId, button) {
    let passwordField = document.getElementById(fieldId);
    let icon = button.querySelector("i");

    if (passwordField.type === "password") {
        passwordField.type = "text";
        icon.classList.remove("fa-eye");
        icon.classList.add("fa-eye-slash");
    } else {
        passwordField.type = "password";
        icon.classList.remove("fa-eye-slash");
        icon.classList.add("fa-eye");
    }
}
</script>

</div>


<!-- Include Required JS Libraries -->
<script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

<!-- DataTables & Buttons Scripts -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.bootstrap5.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>

<!-- DataTable Initialization -->
<script>
$('#provinceTable').DataTable({
    "pageLength": 10,  // Forces pagination to appear even with few records
    "dom": 'Bfrtip',
    "buttons": [
        { extend: 'copy', text: 'Copy', className: 'btn btn-primary btn-sm' },
        { extend: 'excel', text: 'Excel', className: 'btn btn-success btn-sm' },
        { extend: 'pdf', text: 'PDF', className: 'btn btn-danger btn-sm' },
        { extend: 'print', text: 'Print', className: 'btn btn-secondary btn-sm' }
    ]
});
</script>

</div>

<?php include 'footer.php' ?>






<?php include 'scripts.php'?>
</body>
</html>
