<?php
session_start();

require_once("conn.php");
if (!isset($_SESSION['region'])) {
    $URL = ("./index.php");
    echo "<script type='text/javascript'>alert('Please Kindly Login as a Regional Coordinator... ');location.href='$URL';</script>";
}
$session = $_SESSION['region'];
$currentYear = date('Y'); // Get the current year

// Query for Children Category
$query_children = "
    SELECT 
        SUM(children1) AS total_children1,
        SUM(children2) AS total_children2,
        SUM(children3) AS total_children3
    FROM children
    WHERE region = :session 
          AND year = :currentYear
          AND EXISTS (
              SELECT 1 FROM bank 
              WHERE bank.rrr = children.password 
              AND bank.status = 'Approved'
          )
";
$stmt_children = $conn->prepare($query_children);
$stmt_children->bindParam(':session', $session);
$stmt_children->bindParam(':currentYear', $currentYear);
$stmt_children->execute();
$children_data = $stmt_children->fetch(PDO::FETCH_ASSOC);

// Query for Teens Category
$query_teens = "
    SELECT 
        SUM(teens1) AS total_teens1,
        SUM(teens2) AS total_teens2
    FROM teens
    WHERE region = :session 
          AND year = :currentYear
          AND EXISTS (
              SELECT 1 FROM bank 
              WHERE bank.rrr = teens.password 
              AND bank.status = 'Approved'
          )
";
$stmt_teens = $conn->prepare($query_teens);
$stmt_teens->bindParam(':session', $session);
$stmt_teens->bindParam(':currentYear', $currentYear);
$stmt_teens->execute();
$teens_data = $stmt_teens->fetch(PDO::FETCH_ASSOC);

// Query for Teachers Category
$query_teachers = "
    SELECT COUNT(*) AS total_teachers
    FROM teachers
    WHERE region = :session 
          AND year = :currentYear
          AND EXISTS (
              SELECT 1 FROM bank 
              WHERE bank.rrr = teachers.password 
              AND bank.status = 'Approved'
          )
";
$stmt_teachers = $conn->prepare($query_teachers);
$stmt_teachers->bindParam(':session', $session);
$stmt_teachers->bindParam(':currentYear', $currentYear);
$stmt_teachers->execute();
$teachers_data = $stmt_teachers->fetch(PDO::FETCH_ASSOC);

// Query for Pending Registrations
$query_pending = "
    SELECT COUNT(*) AS total_pending
    FROM bank
    WHERE region = :session 
          AND status = 'Pending'
          AND year = :currentYear
";

try {
    $stmt_pending = $conn->prepare($query_pending);
    $stmt_pending->bindParam(':session', $session);
    $stmt_pending->bindParam(':currentYear', $currentYear);
    $stmt_pending->execute();
    $pending_data = $stmt_pending->fetch(PDO::FETCH_ASSOC);

    if ($pending_data === false) {
        throw new Exception("Error fetching pending registrations.");
    }

    $total_pending = $pending_data['total_pending'];
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}

// Query for Approved Registrations
$query_approved = "
    SELECT COUNT(*) AS total_approved
    FROM bank
    WHERE region = :session 
          AND status = 'Approved'
          AND year = :currentYear
";

try {
    $stmt_approved = $conn->prepare($query_approved);
    $stmt_approved->bindParam(':session', $session);
    $stmt_approved->bindParam(':currentYear', $currentYear);
    $stmt_approved->execute();
    $approved_data = $stmt_approved->fetch(PDO::FETCH_ASSOC);

    if ($approved_data === false) {
        throw new Exception("Error fetching approved registrations.");
    }

    $total_approved = $approved_data['total_approved'];
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}



?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Regional Coordinator Dashboard</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="theme.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
    <link rel="icon" type="image/png" href="img/icon2.png">
    <!-- Bootstrap CSS -->


    <!-- FontAwesome (for icons if needed) -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>


    <head>

    </head>

</head>

<body>

    <?php include 'sidebar.php' ?>

    <?php include 'navbar.php' ?>


    <!-- Main Content -->
    <div class="main-content" id="main-content">
        <div class="container-fluid section-admin">
            <div class="row text-center">
                <!-- Card for Total Children Registered -->
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #6c757d, #495057);">
                        <a href="children.php">
                            <div class="card-body d-flex flex-column justify-content-between">
                                <h4 class="card-title text-left text-white"><b>Total Children Registered</b></h4>
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="icon-box bg-light p-3 rounded-circle">
                                        <i class="fa fa-users fa-2x text-dark"></i>
                                    </div>
                                    <div class="text-right">
                                        <?php
                                        $region = $_SESSION['region'];
                                        $year = Date("Y");
                                        $sql = "SELECT SUM(p1c) FROM registration WHERE region = '$region' AND year = '$year'";
                                        $result = $conn->query($sql);
                                        $p1 = 0; // Default value
                                        if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
                                            $p1 = $row['SUM(p1c)'];
                                        }
                                        ?>
                                        <h2 class="no-margin" style="color: #fff;"><?php echo $p1; ?> CHILDREN</h2>
                                    </div>
                                </div>
                                <div class="progress mt-3">
                                    <div class="progress-bar bg-success" style="width: 100%;"></div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>

                <!-- Card for Total Teens Registered -->
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #f76c6c, #f39c42);">
                        <a href="teens.php">
                            <div class="card-body d-flex flex-column justify-content-between">
                                <h4 class="card-title text-left text-white"><b>Total Teens Registered</b></h4>
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="icon-box bg-light p-3 rounded-circle">
                                        <i class="fa fa-users fa-2x text-dark"></i>
                                    </div>
                                    <div class="text-right">
                                        <?php
                                        $sql = "SELECT SUM(p2c) FROM registration WHERE region = '$region' AND year = '$year'";
                                        $result = $conn->query($sql);
                                        $p2 = 0; // Default value
                                        if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
                                            $p2 = $row['SUM(p2c)'];
                                        }
                                        ?>
                                        <h2 class="no-margin" style="color: #fff;"><?php echo $p2; ?> TEENS</h2>
                                    </div>
                                </div>
                                <div class="progress mt-3">
                                    <div class="progress-bar bg-warning" style="width: 100%;"></div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>

                <!-- Card for Total Teachers Registered -->
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #4e73df, #1d5ca6);">
                        <a href="teachers.php">
                            <div class="card-body d-flex flex-column justify-content-between">
                                <h4 class="card-title text-left text-white"><b>Total Teachers Registered</b></h4>
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="icon-box bg-light p-3 rounded-circle">
                                        <i class="fa fa-chalkboard-teacher fa-2x text-dark"></i>
                                    </div>
                                    <div class="text-right">
                                        <?php
                                        $sql = "SELECT SUM(p3c) FROM registration WHERE region = '$region' AND year = '$year'";
                                        $result = $conn->query($sql);
                                        $p3 = 0; // Default value
                                        if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
                                            $p3 = $row['SUM(p3c)'];
                                        }
                                        ?>
                                        <h2 class="no-margin" style="color: #fff;"><?php echo $p3; ?> TEACHERS</h2>
                                    </div>
                                </div>
                                <div class="progress mt-3">
                                    <div class="progress-bar bg-white" style="width: 100%;"></div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>

                <!-- Card for Total Amount Generated (ATM Style) -->
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #2d5c6e, #1e3d42);">
                        <a href="status.php">
                            <div class="card-body d-flex flex-column justify-content-between">
                                <h4 class="card-title text-left text-white"><b>Total Amount Generated</b></h4>
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="icon-box bg-light p-3 rounded-circle">
                                        <i class="fa fa-money-bill-wave fa-2x text-dark"></i>
                                    </div>
                                    <div class="text-right">
                                        <?php
                                        $sql = "SELECT SUM(amount) FROM registration WHERE region = '$region' AND year = '$year'";
                                        $result = $conn->query($sql);
                                        $amount = 0; // Default value
                                        if ($row = $result->fetch(PDO::FETCH_ASSOC)) {
                                            $amount = $row['SUM(amount)'];
                                        }
                                        ?>
                                        <h2 class="no-margin" style="color: #fff;">&#8358; <?php echo number_format($amount, 2); ?></h2>
                                    </div>
                                </div>
                                <div class="progress mt-3">
                                    <div class="progress-bar bg-blue" style="width: 100%;"></div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>


            <div class="row">
                <!-- Banner Section -->
                <div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
                    <div class="card mb-4 shadow-sm rounded-lg">
                        <div class="card-header bg-dark text-white">
                            <h5>Region <?php echo $region; ?> <?php echo date('Y'); ?> Convention Registration Analysis (Approved)</h5>
                        </div>
                        <div id="weeklysales-collapse" class="collapse pt-3 show">
                            <div dir="ltr">
                                <div id="id-chart" class="apex-charts"
                                    data-colors="#3bc0c3,#1a2942,#d1d7d973"></div>
                            </div>

                            <div class="row text-center">
                                <div class="col">
                                    <p class="text-muted mt-3">Children (1-5)</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($children_data['total_children1']) ? htmlspecialchars($children_data['total_children1']) : '0'; ?></span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Children (6-8)</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($children_data['total_children2']) ? htmlspecialchars($children_data['total_children2']) : '0'; ?>
                                        </span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Children (9-12)</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($children_data['total_children3']) ? htmlspecialchars($children_data['total_children3']) : '0'; ?></span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Teens (13-15)</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($teens_data['total_teens1']) ? htmlspecialchars($teens_data['total_teens1']) : '0'; ?>
                                        </span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Teens (16-above)</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($teens_data['total_teens2']) ? htmlspecialchars($teens_data['total_teens2']) : '0'; ?>
                                        </span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Teachers</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($teachers_data['total_teachers']) ? htmlspecialchars($teachers_data['total_teachers']) : '0'; ?>
                                        </span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Pending</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($pending_data['total_pending']) ? htmlspecialchars($pending_data['total_pending']) : '0'; ?>
                                        </span>
                                    </h3>
                                </div>
                                <div class="col">
                                    <p class="text-muted mt-3">Approved</p>
                                    <h3 class="mb-0">
                                        <span><?php echo !empty($approved_data['total_approved']) ? htmlspecialchars($approved_data['total_approved']) : '0'; ?>
                                        </span>
                                    </h3>
                                </div>
                            </div>
                        </div>
                    </div>
                    <style>
                        .equal-height-card {
                            min-height: 250px;
                            /* Increased height for better alignment */
                            display: flex;
                            flex-direction: column;
                            justify-content: center;
                            border-radius: 10px;
                            transition: transform 0.3s ease-in-out;
                        }

                        .equal-height-card:hover {
                            transform: scale(1.03);
                            /* Slight zoom effect on hover */
                            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
                        }

                        .progress {
                            height: 15px;
                            /* Slightly larger progress bar */
                            border-radius: 10px;
                            overflow: hidden;
                        }

                        .progress-bar {
                            background: linear-gradient(45deg, #28a745, #218838);
                            /* Gradient effect */
                        }

                        .card h6 {
                            font-weight: bold;
                            font-size: 1rem;
                            color: #333;
                        }

                        .card h3 {
                            font-size: 2rem;
                            font-weight: bold;
                            color: #186F45;
                            /* Match with the branding */
                        }

                        .icon {
                            font-size: 2rem;
                            color: #186F45;
                            margin-bottom: 10px;
                        }
                    </style>
                    <?php {
                        $region = $_SESSION['region'];
                        $status = 'Pending';
                        $year = Date("Y");


                        $sql = "SELECT COUNT(status) FROM bank where region='$region' and status ='$status' and year ='$year' ";
                        $row2 = $conn->query($sql);
                        while ($row = $row2->fetch(PDO::FETCH_ASSOC)) {
                            $stat = $row['COUNT(status)'];




                    ?>


                    <?php
                        }
                    }
                    ?>
                    <?php {
                        $region = $_SESSION['region'];
                        $status_new = 'Approved';
                        $year = Date("Y");

                        $sql = "SELECT COUNT(status) FROM bank where region='$region' and status ='$status_new' and year ='$year' ";
                        $row2 = $conn->query($sql);
                        while ($row = $row2->fetch(PDO::FETCH_ASSOC)) {
                            $stat_new = $row['COUNT(status)'];




                    ?>


                    <?php
                        }
                    }
                    ?>

                    <div class="row align-items-stretch">
                        <!-- Total Registrations Card -->
                        <?php
                        // Ensure $stat_new and $stat are set
                        $approved = isset($stat_new) ? (int)$stat_new : 0;
                        $pending = isset($stat) ? (int)$stat : 0;

                        // Calculate total registrations (Approved + Pending)
                        $total_registrations = $approved + $pending;
                        ?>

                        <div class="col-lg-4 col-md-4 col-sm-12">
                            <div class="card mb-3 shadow-sm rounded-lg equal-height-card text-center">
                                <div class="card-body">
                                    <div class="icon">📋</div>
                                    <h6>Total Registrations</h6>
                                    <h3><?php echo $total_registrations; ?></h3>
                                    <p class="mb-1"><strong>Approved:</strong> <?php echo $approved; ?></p>
                                    <p class="mb-0 text-danger"><strong>Pending:</strong> <?php echo $pending; ?></p>
                                </div>
                            </div>
                        </div>


                        <!-- Male vs Female Card -->
                        <?php
                        require 'conn.php'; // Ensure database connection is included

                        // Count Male Teachers
                        $query_male = $conn->prepare("SELECT COUNT(*) FROM teachers WHERE gender = 'Male'");
                        $query_male->execute();
                        $total_male = $query_male->fetchColumn();

                        // Count Female Teachers
                        $query_female = $conn->prepare("SELECT COUNT(*) FROM teachers WHERE gender = 'Female'");
                        $query_female->execute();
                        $total_female = $query_female->fetchColumn();
                        ?>

                        <div class="col-lg-4 col-md-4 col-sm-12">
                            <div class="card mb-3 shadow-sm rounded-lg equal-height-card text-center">
                                <div class="card-body">
                                    <div class="icon">👥</div>
                                    <h6>Male vs Female Teachers</h6>
                                    <p class="mb-1"><strong>Male:</strong> <?php echo $total_male ?? '0'; ?></p>
                                    <p class="mb-0"><strong>Female:</strong> <?php echo $total_female ?? '0'; ?></p>
                                </div>
                            </div>
                        </div>


                        <!-- Registration Progress Card -->
                        <div class="col-lg-4 col-md-4 col-sm-12">
                            <div class="card mb-3 shadow-sm rounded-lg equal-height-card text-center">
                                <div class="card-body pb-3">
                                    <div class="icon">📊</div>
                                    <h6>Registration Progress</h6>
                                    <div class="progress mt-3">
                                        <?php
                                        $total_approved = isset($approved_data['total_approved']) ? (int)$approved_data['total_approved'] : 0;
                                        $total_registrations = isset($total_registrations) ? (int)$total_registrations : 0;
                                        $progress = ($total_registrations > 0) ? ($total_approved / $total_registrations) * 100 : 0;
                                        ?>
                                        <div class="progress-bar" role="progressbar"
                                            style="width: <?php echo $progress; ?>%;"
                                            aria-valuenow="<?php echo $progress; ?>"
                                            aria-valuemin="0" aria-valuemax="100">
                                        </div>
                                    </div>
                                    <small class="d-block mt-2"><strong><?php echo round($progress, 2); ?>%</strong> Approved</small>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>



                <?php {
                    $region = $_SESSION['region'];
                    $year = Date("Y");


                    $sql = "SELECT SUM(p1), SUM(p2), SUM(p3),SUM(amount) FROM registration where region='$region' and year ='$year' ";
                    $row2 = $conn->query($sql);
                    while ($row = $row2->fetch(PDO::FETCH_ASSOC)) {
                        $p1c = $row['SUM(p1)'];
                        $p2c = $row['SUM(p2)'];
                        $p3c = $row['SUM(p3)'];
                        $p4 = $row['SUM(amount)'];



                ?>


                <?php
                    }
                }
                ?>
                <!-- Booked Sections -->
                <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12">
                    <!-- Card for Booked Children -->
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #f1f1f1, #e8e8e8);">
                        <a href="#">
                            <div class="card-body text-center">
                                <h3 class="box-title text-dark">
                                    <i class="fas fa-child mr-2"></i> No of Booked Children
                                </h3>
                                <h2 class="text-dark"><?php echo $p1c; ?></h2>
                            </div>
                        </a>
                    </div>

                    <!-- Card for Booked Teens -->
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #f1f1f1, #e8e8e8);">
                        <a href="#">
                            <div class="card-body text-center">
                                <h3 class="box-title text-dark">
                                    <i class="fas fa-users mr-2"></i> No of Booked Teens
                                </h3>
                                <h2 class="text-dark"><?php echo $p2c; ?></h2>
                            </div>
                        </a>
                    </div>

                    <!-- Card for Booked Teachers -->
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #f1f1f1, #e8e8e8);">
                        <a href="#">
                            <div class="card-body text-center">
                                <h3 class="box-title text-dark">
                                    <i class="fas fa-chalkboard-teacher mr-2"></i> No of Booked Teachers
                                </h3>
                                <h2 class="text-dark"><?php echo $p3c; ?></h2>
                            </div>
                        </a>
                    </div>



                    <!-- Card for Pending Registrations -->
                    <!-- Card for Pending Registrations -->
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #f76c6c, #f39c42);">
                        <a href="status.php">
                            <div class="card-body text-center">
                                <h3 class="box-title text-dark">
                                    <i class="fas fa-hourglass-half mr-2"></i> No of Pending Registrations
                                </h3>
                                <h2 class="text-dark"><?php echo $stat; ?></h2>
                            </div>
                        </a>
                    </div>

                    <!-- Card for Approved Registrations -->
                    <div class="card mb-4 shadow-sm border-0 rounded-lg" style="background: linear-gradient(145deg, #4e73df, #1d5ca6);">
                        <a href="status.php">
                            <div class="card-body text-center">
                                <h3 class="box-title text-white">
                                    <i class="fas fa-check-circle mr-2"></i> No of Approved Registrations
                                </h3>
                                <h2 class="text-white"><?php echo $stat_new; ?></h2>
                            </div>
                        </a>
                    </div>

                </div>
            </div>
        </div>

    </div>

    <?php include 'footer.php' ?>


    <!-- JavaScript -->

    <?php include 'scripts.php' ?>
    <!-- Bootstrap JS Bundle (includes Popper.js) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>


    <!-- Chart.js -->


    <script>
        // Ensure values are properly fetched and valid
        function safeParse(value) {
            return value !== undefined && value !== null && !isNaN(value) ? parseInt(value) : 0;
        }

        // Data fetched from PHP
        var children1 = safeParse(<?php echo json_encode($children_data['total_children1']); ?>);
        var children2 = safeParse(<?php echo json_encode($children_data['total_children2']); ?>);
        var children3 = safeParse(<?php echo json_encode($children_data['total_children3']); ?>);
        var teens1 = safeParse(<?php echo json_encode($teens_data['total_teens1']); ?>);
        var teens2 = safeParse(<?php echo json_encode($teens_data['total_teens2']); ?>);
        var teachers = safeParse(<?php echo json_encode($teachers_data['total_teachers']); ?>);
        var pending = safeParse(<?php echo json_encode($pending_data['total_pending']); ?>);
        var approved = safeParse(<?php echo json_encode($approved_data['total_approved']); ?>);

        // Define colors for each category
        var categoryColors = {
            'Children (1-5)': '#3bc0c3',
            'Children (6-8)': '#1a2942',
            'Children (9-12)': '#d1d7d9',
            'Teens (13-15)': '#ff4560',
            'Teens (16-above)': '#00e396',
            'Teachers': '#775DD0',
            'Pending Reg.': '#FFC107',
            'Approved Reg.': '#28A745'
        };

        // Define data series
        var seriesData = [{
                name: 'Children (1-5)',
                data: [children1],
                color: categoryColors['Children (1-5)']
            },
            {
                name: 'Children (6-8)',
                data: [children2],
                color: categoryColors['Children (6-8)']
            },
            {
                name: 'Children (9-12)',
                data: [children3],
                color: categoryColors['Children (9-12)']
            },
            {
                name: 'Teens (13-15)',
                data: [teens1],
                color: categoryColors['Teens (13-15)']
            },
            {
                name: 'Teens (16-above)',
                data: [teens2],
                color: categoryColors['Teens (16-above)']
            },
            {
                name: 'Teachers',
                data: [teachers],
                color: categoryColors['Teachers']
            },
            {
                name: 'Pending Reg.',
                data: [pending],
                color: categoryColors['Pending Reg.']
            },
            {
                name: 'Approved Reg.',
                data: [approved],
                color: categoryColors['Approved Reg.']
            }
        ];

        // Bar Chart Configuration
        var options = {
            chart: {
                type: 'bar',
                height: 400,
                stacked: false
            },
            plotOptions: {
                bar: {
                    horizontal: false,
                    columnWidth: '60%' // Adjust bar width
                }
            },
            series: seriesData,
            xaxis: {
                categories: ['Registrations'], // Single column to group bars together
            },
            legend: {
                show: true,
                position: 'bottom',
                markers: {
                    fillColors: Object.values(categoryColors), // Legend colors now match bars
                }
            },
            dataLabels: {
                enabled: true
            }
        };

        // Render Chart
        var chart = new ApexCharts(document.querySelector("#id-chart"), options);
        chart.render();
    </script>
</body>

</html>